MilterManagerChild
3
milter managerライブラリ

# MilterManagerChild

## Functions

GQuark | milter_manager_child_error_quark ()
MilterManagerChild * | milter_manager_child_new ()
MilterManagerChild * | milter_manager_child_new_va_list ()
gchar * | milter_manager_child_get_command_line_string ()
gchar * | milter_manager_child_get_user_name ()
MilterStatus | milter_manager_child_get_fallback_status ()
void | milter_manager_child_set_evaluation_mode ()
gboolean | milter_manager_child_is_evaluation_mode ()

## プロパティ

gchar * | command | Read / Write
gchar * | command-options | Read / Write
gboolean | evaluation-mode | Read / Write
MilterStatus | fallback-status | Read / Write
gboolean | search-path | Read / Write
gchar * | user-name | Read / Write
gchar * | working-directory | Read / Write

## Types and Values

#define | MILTER_MANAGER_CHILD_ERROR
enum | MilterManagerChildError
struct | MilterManagerChild
struct | MilterManagerChildClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerChildError
        GObject
        ╰── MilterAgent
            ╰── MilterProtocolAgent
                ╰── MilterServerContext
                    ╰── MilterManagerChild

## 実装されたインターフェイス

MilterManagerChild implements

## 説明

## Functions

### milter_manager_child_error_quark ()

    GQuark
    milter_manager_child_error_quark (void);

### milter_manager_child_new ()

    MilterManagerChild *
    milter_manager_child_new (const gchar *name);

### milter_manager_child_new_va_list ()

    MilterManagerChild *
    milter_manager_child_new_va_list (const gchar *first_name,
                                      va_list args);

### milter_manager_child_get_command_line_string ()

    gchar *
    milter_manager_child_get_command_line_string
                                   (MilterManagerChild *milter);

### milter_manager_child_get_user_name ()

    gchar *
    milter_manager_child_get_user_name (MilterManagerChild *milter);

### milter_manager_child_get_fallback_status ()

    MilterStatus
    milter_manager_child_get_fallback_status
                                   (MilterManagerChild *milter);

### milter_manager_child_set_evaluation_mode ()

    void
    milter_manager_child_set_evaluation_mode
                                   (MilterManagerChild *milter,
                                    gboolean evaluation_mode);

### milter_manager_child_is_evaluation_mode ()

    gboolean
    milter_manager_child_is_evaluation_mode
                                   (MilterManagerChild *milter);

## Types and Values

### MILTER_MANAGER_CHILD_ERROR

    #define MILTER_MANAGER_CHILD_ERROR           (milter_manager_child_error_quark())

### enum MilterManagerChildError

#### Members

MILTER_MANAGER_CHILD_ERROR_BAD_COMMAND_STRING |  |
MILTER_MANAGER_CHILD_ERROR_START_FAILURE |  |
MILTER_MANAGER_CHILD_ERROR_INVALID_USER_NAME |  |
MILTER_MANAGER_CHILD_ERROR_NO_PRIVILEGE_MODE |  |
MILTER_MANAGER_CHILD_ERROR_MILTER_TERMINATED_BY_SIGNAL |  |
MILTER_MANAGER_CHILD_ERROR_MILTER_EXIT |  |

### struct MilterManagerChild

    struct MilterManagerChild;

### struct MilterManagerChildClass

    struct MilterManagerChildClass {
        MilterServerContextClass parent_class;
    };

## プロパティ詳細

### The `“command”` property

      “command”                  gchar *

The command string of process.

Flags: Read / Write

デフォルト値: NULL

### The `“command-options”` property

      “command-options”          gchar *

The command options string of process.

Flags: Read / Write

デフォルト値: NULL

### The `“evaluation-mode”` property

      “evaluation-mode”          gboolean

Whether the result of the child is used or not.

Flags: Read / Write

Default value: FALSE

### The `“fallback-status”` property

      “fallback-status”          MilterStatus

Fallback status on error.

Flags: Read / Write

Default value: MILTER_STATUS_ACCEPT

### The `“search-path”` property

      “search-path”              gboolean

Whether the command of process is searched in PATH or not.

Flags: Read / Write

デフォルト値: TRUE

### The `“user-name”` property

      “user-name”                gchar *

The name of process owner user.

Flags: Read / Write

デフォルト値: NULL

### The `“working-directory”` property

      “working-directory”        gchar *

The working directory name of process.

Flags: Read / Write

デフォルト値: NULL